=== modified file 'ctwm_shutdown.c'
--- ctwm_shutdown.c	2022-11-05 02:09:11 +0000
+++ ctwm_shutdown.c	2022-11-26 01:21:44 +0000
@@ -258,9 +258,7 @@
 	XSync(dpy, 0);
 
 	// Shut down session management connection cleanly.
-	if(smcConn) {
-		SmcCloseConnection(smcConn, 0, NULL);
-	}
+	shutdown_session();
 
 	// Re-run ourself
 	fprintf(stderr, "%s:  restarting:  %s\n", ProgramName, *Argv);

=== modified file 'session.c'
--- session.c	2022-11-26 00:50:25 +0000
+++ session.c	2022-11-26 01:21:44 +0000
@@ -1169,3 +1169,11 @@
 	                     ProcessIceMsgProc,
 	                     (XtPointer) iceConn);
 }
+
+
+void shutdown_session(void)
+{
+	if(smcConn) {
+		SmcCloseConnection(smcConn, 0, NULL);
+	}
+}

=== modified file 'session.h'
--- session.h	2022-11-26 00:50:25 +0000
+++ session.h	2022-11-26 01:21:44 +0000
@@ -38,9 +38,6 @@
 typedef struct TWMWinConfigEntry TWMWinConfigEntry;
 
 
-/* XXX Only used in one place, should convert to a func? */
-extern SmcConn smcConn;
-
 void ReadWinConfigFile(char *filename);
 int GetWindowConfig(TwmWindow *theWindow,
                     short *x, short *y,
@@ -53,5 +50,6 @@
                     int *occupation /* <== [ Matthew McNeill Feb 1997 ] == */
                    );
 void ConnectToSessionManager(char *previous_id);
+void shutdown_session(void);
 
 #endif /* _CTWM_SESSION_H */

